Subject: [secdir] secdir review of draft-ietf-sipping-nat-scenarios-15

From: "Scott G. Kelly" <[email-masked]>
Date: Fri, 18 Mar 2011 16:23:34 -0700 (PDT)

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This draft is a summary of best practices/recommendations for SIP session NAT traversal. It is well-written, although to say it is easy to understand (especially for someone not steeped in SIP NAT traversal lore) would be to significantly understate the ground it covers.

The security considerations is among the most concise I've ever seen, simply stating "There are no Security Considerations beyond the ones inherited by reference." My security geek hackles went up a little when I read that, but after looking at some of the referenced RFCs and thinking about it for a bit, I couldn't think of any attacks that aren't already covered in the security considerations of those documents. So, I don't have any concrete criticisms or concerns with this document.

--Scott